BEvm service

### Hierarchy

- BEvmRPC

## Index

### Constructors

- constructor

### Properties

- conn
- timeout
- serviceName

### Methods

- setTimeout
- viewCall

## Constructors

### constructor

- new BEvmRPC(srvid: ServerIdentity): BEvmRPC

- - Defined in src/bevm/bevm-rpc.ts:12

  #### Parameters

  - ##### srvid: ServerIdentity

  #### Returns BEvmRPC

## Properties

### Private conn

conn: WebSocketConnection

- Defined in src/bevm/bevm-rpc.ts:11

### Private timeout

timeout: number

- Defined in src/bevm/bevm-rpc.ts:12

### Static serviceName

serviceName: string = "BEvm"

- Defined in src/bevm/bevm-rpc.ts:9

## Methods

### setTimeout

- setTimeout(value: number): void

- - Defined in src/bevm/bevm-rpc.ts:25

  Set a new timeout value for future requests.

  #### Parameters

  - ##### value: number

    Timeout in [ms]

  #### Returns void

### viewCall

- viewCall(byzcoinId: Buffer, bevmInstanceId: Buffer, accountAddress: Buffer, contractAddress: Buffer, callData: Buffer): Promise<ViewCallResponse>

- - Defined in src/bevm/bevm-rpc.ts:40

  Execute a view method (read-only)

  #### Parameters

  - ##### byzcoinId: Buffer

    ByzCoin ID

  - ##### bevmInstanceId: Buffer

    BEvm instance ID

  - ##### accountAddress: Buffer

    Address of the EVM account

  - ##### contractAddress: Buffer

    Address of the smart contract

  - ##### callData: Buffer

    ABI-packed call arguments

  #### Returns Promise<ViewCallResponse>

  Result of the view method execution

Generated using TypeDoc